package org.jeecg.modules.qualityControl.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.qualityControl.entity.FdQaBiologicalAnalysisVerification;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.qualityControl.entity.FdQaBiologicalAnalysisVerificationItems;
import org.jeecg.modules.qualityControl.entity.FdQaBiometricSampleAnalysis;

import java.util.List;

/**
 * @Description: 质量保证（生物分析验证）
 * @author： jeecg-boot
 * @date：   2019-06-11
 * @version： V1.0
 */
public interface IFdQaBiologicalAnalysisVerificationService extends IService<FdQaBiologicalAnalysisVerification> {

    void addAll(FdQaBiologicalAnalysisVerification fdQaBiologicalAnalysisVerification);

    FdQaBiologicalAnalysisVerification queryQaBiologicalByConId(String contractId);

    boolean deleteAll(String id);

    String getByDict(String id);

    String getApproveByDict(String id);

    String getQAReviewByDict(String id);

    String getQCReviewByDict(String id);

    IPage<FdQaBiologicalAnalysisVerification> findByPage(Page<FdQaBiologicalAnalysisVerification> page,QueryWrapper<FdQaBiologicalAnalysisVerification> queryWrapper);

    FdQaBiologicalAnalysisVerification getByVerifiCodeAndType(FdQaBiologicalAnalysisVerification fdQaBiologicalAnalysisVerification);

    /**
     * @Author chenchuang
     * @Description //TODO 根据明细对象查询对应的图片对象集合
     * @Date 2020/6/19 9:28
     * @Param [itemsList]
     * @return void
     */
    void getPictureUpload(List<FdQaBiologicalAnalysisVerificationItems> itemsList);
}
